# Get Metadata for Language Interface File

Use this endpoint to retrieve metadata for a given language interface file and release.

Endpoint: GET /Metadata/Interface/{os}/{language}/{architecture}/{release}/{filename}

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `architecture` (string, required)
    Describes the target architecture (ie, 'bitness'). Used for object binaries and language interface binaries on certain OS platforms.
    Enum: "32BIT", "64BIT", "ANY"

  - `filename` (string, required)
    Name of File.
    Example: "mdAddr_cSharpCode.cs"

  - `language` (string, required)
    Describes the language interface.
- NET - .NET
- C - C/C++
- JAVA - Java
- PERL - Perl
- PHP - PHP (legacy, prior to v7)
- PHP7 - PHP v7
- PYTHON - Python
- RUBY - Ruby
- PLSQL - Oracle PL/SQL
- MSSQL - SQL Server T-SQL
    Enum: "NET", "C", "JAVA", "PERL", "PHP", "PHP7", "PYTHON", "RUBY", "PLSQL", "MSSQL"

  - `os` (string, required)
    Describes the target OS. Used for object binaries and language interface binaries.
- AIX - AIX PowerPC
- ANY - Any OS
- HPUX_IT - HP-UX ia64
- HPUX_PA - HP-UX RISC
- LINUX - Linux Redhat
- SOLARIS - Solaris Sparc
- WINDOWS - Windows
- ZLINUX - IBM zLinux
    Enum: "AIX", "ANY", "HPUX_IT", "HPUX_PA", "LINUX", "SOLARIS", "WINDOWS", "ZLINUX"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

## Response 200 fields (application/json):

  - `FileName` (string)
    Example: "mdAddr_cSharpCode.cs"

  - `Release` (string)
    Example: "2024.01"

  - `FileSize` (string)
    Example: "99767"

  - `Language` (string)
    Example: "NET"

  - `Architecture` (string)
    Example: "ANY"

  - `MD5` (string)
    Example: "250568c3798c8a51f948bc6291490cc3"

  - `SHA1` (string)
    Example: "b4dfe0d63c67c3d1454a32e344c8e51e326f715a"

  - `SHA256` (string)
    Example: "e93a0e7474db0d49dbf1fa57ecccec145bfc6f22974d3bad9ae05710b1e640bb"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


